{
  "name": "@prejt/resource-api",
  "description": "Resource api",
  "version": "0.1.25",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com:l.jansky/resource-api.git"
  },
  "homepage": "https://gitlab.com/l.jansky/resource-api",
  "dependencies": {
    "@babel/runtime": "^7.4.3",
    "@prejt/db-storage": "^0.1.8",
    "@prejt/entity-formatter": "^0.1.8",
    "jsonwebtoken": "^7.1.7",
    "koa": "^2.7.0",
    "koa-bodyparser": "^4.2.0",
    "koa-cors": "0.0.16",
    "koa-morgan": "^1.0.1",
    "koa-passport": "^4.1.3",
    "koa-router": "^7.3.0",
    "morgan": "^1.10.0",
    "nodemailer": "^5.1.1",
    "passport-facebook": "^2.1.1",
    "passport-http": "^0.3.0",
    "passport-jwt": "^4.0.0",
    "passport-local": "^1.0.0",
    "path-to-regexp": "^1.5.3",
    "ramda": "^0.26.1",
    "uuid": "^8.3.1"
  },
  "devDependencies": {
    "@babel/cli": "^7.4.3",
    "@babel/core": "^7.4.3",
    "@babel/plugin-proposal-class-properties": "^7.4.0",
    "@babel/plugin-proposal-object-rest-spread": "^7.4.3",
    "@babel/plugin-transform-runtime": "^7.4.3",
    "@babel/preset-env": "^7.4.3",
    "@babel/preset-typescript": "^7.3.3",
    "@babel/register": "^7.4.0",
    "@prejt/db-storage-sql": "^0.1.1",
    "@prejt/db-test": "^0.1.2",
    "@types/chai": "^4.1.7",
    "@types/koa": "^2.0.48",
    "@types/koa-bodyparser": "^4.2.2",
    "@types/koa-morgan": "^1.0.4",
    "@types/koa-passport": "^4.0.2",
    "@types/koa-router": "^7.0.40",
    "@types/mocha": "^5.2.6",
    "@types/node": "^11.13.6",
    "@types/nodemailer": "^6.2.0",
    "@types/ramda": "^0.26.8",
    "@types/uuid": "^8.3.0",
    "@typescript-eslint/eslint-plugin": "^1.6.0",
    "@typescript-eslint/parser": "^1.6.0",
    "babel-eslint": "^10.0.1",
    "chai": "^4.1.2",
    "chai-as-promised": "^7.1.1",
    "eslint": "^5.16.0",
    "eslint-config-prettier": "^4.1.0",
    "eslint-plugin-prettier": "^3.0.1",
    "husky": "^1.3.1",
    "istanbul": "^0.4.5",
    "lint-staged": "^8.1.5",
    "mocha": "^6.1.4",
    "nyc": "^14.0.0",
    "prettier": "^1.17.0",
    "sinon": "^7.3.2",
    "sinon-chai": "^3.3.0",
    "supertest": "^3.4.2",
    "typescript": "^3.4.4"
  },
  "scripts": {
    "dev": "babel src --out-dir dist --extensions \".ts,.tsx\" --source-maps inline --watch",
    "test": "NODE_ENV=test JWT_SECRET=secret mocha --require ./_babelRegister.js \"./test/**/*.ts\" --reporter spec",
    "test:sql": "DB_ADAPTER=sql npm run test",
    "coverage": "nyc npm run test",
    "build": "npm run build:types && npm run build:js && cp -rf src/models dist",
    "build:types": "tsc --emitDeclarationOnly --project ./tsconfig.build.json",
    "build:js": "babel src --out-dir dist --extensions \".ts,.tsx\" --source-maps inline",
    "build:check": "tsc --noEmit",
    "postversion": "git push --follow-tags",
    "prepublishOnly": "npm run build",
    "prettier": "prettier {src,test,test-app}/**/*.ts",
    "prettier:fix": "npm run prettier -- --write",
    "lint": "eslint {src,test,test-app}/**/*.ts",
    "lint:fix": "npm run lint -- --fix"
  },
  "files": [
    "dist",
    "src"
  ],
  "publishConfig": {
    "access": "public"
  },
  "lint-staged": {
    "*.ts": [
      "npm run prettier:fix",
      "npm run lint:fix",
      "git add"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  }
}
